### Method

# Gtk Window set_modal

#### Declaration [src]

    void
    gtk_window_set_modal (
      GtkWindow* window,
      gboolean modal
    )

#### Description [src]

Sets a window modal or non-modal.

Modal windows prevent interaction with other windows in the same application. To keep modal dialogs on top of main application windows, use `gtk_window_set_transient_for()` to make the dialog transient for the parent; most window managers will then disallow lowering the dialog below the parent.

Sets property | `Gtk.Window:modal`

#### Parameters

`modal`

  Type: `gboolean`

  Whether the window is modal.